Bug 908866 - [kn] pofilter variables/printf test fails for subscription-manager 1.8.X
[kn] pofilter variables/printf test fails for subscription-manager 1.8.X
Status: CLOSED CURRENTRELEASE
Product: Red Hat Enterprise Linux 7
Classification: Red Hat
Component: subscription-manager (Show other bugs)
7.0
Unspecified Unspecified
unspecified Severity unspecified
: rc
: ---
Assigned To: Shankar Prasad
IDM QE LIST
: i18n, Translation
Depends On:
Blocks: rhsm-rhel70
  Show dependency treegraph
 
Reported: 2013-02-07 12:20 EST by John Sefler
Modified: 2015-04-21 00:34 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-06-13 09:04:07 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description John Sefler 2013-02-07 12:20:22 EST
Description of problem:

# (pofilter) variables: Added variables: %s
msgid "There was an error saving your configuration."
msgstr "ನಿಮ್ಮ ಸಂರಚನೆಯನ್ನು ಉಳಿಸುವಲ್ಲಿ ದೋಷ ಉಂಟಾಗಿದೆ. ನೀವು %s ಅನ್ನು ಹೊಂದಿದ್ದೀರಿ ಎಂದು ಖಚಿತಪಡಿಸಿಕೊಳ್ಳಿ."

THE "%s" VARIABLE SHOULD NOT BE PRESENT IN THE TRANSLATED msgstr.

Version-Release number of selected component (if applicable):
[root@jsefler-7 ~]# rpm -q subscription-manager
subscription-manager-1.8.1-1.git.9.f23e0b0.el7.x86_64
https://translate.zanata.org/zanata/iteration/view/subscription-manager/1.8.X
Comment 1 John Sefler 2013-02-07 12:27:07 EST
# (pofilter) printf: Different number of printf variables
msgid "There was an error saving your configuration."
msgstr "ನಿಮ್ಮ ಸಂರಚನೆಯನ್ನು ಉಳಿಸುವಲ್ಲಿ ದೋಷ ಉಂಟಾಗಿದೆ. ನೀವು %s ಅನ್ನು ಹೊಂದಿದ್ದೀರಿ ಎಂದು ಖಚಿತಪಡಿಸಿಕೊಳ್ಳಿ."
Comment 2 Shankar Prasad 2013-02-08 04:51:59 EST
Fixed in 1.8.X

Shankar
Comment 3 Adrian Likins 2013-03-25 17:34:45 EDT
commit 008c5cb336b141f300d647d6c71750b2cd15e066
Author: Adrian Likins <alikins@redhat.com>
Date:   Mon Mar 25 15:03:16 2013 -0400

    921126: latest string updates from zanata
    
    921126,911779,911776,911772,911764,911762,911759,
    911757,908886,908879,908869,908866,908521,908511,
    908488,908434,908108,908059,908037,906967,906552,
    842784
Comment 4 John Sefler 2013-03-27 13:25:01 EDT
Version
[root@jsefler-7 ~]# rpm -q subscription-manager
subscription-manager-1.8.4-1.git.70.ff4c9ab.el7.x86_64

# (pofilter) printf: Different number of printf variables
msgid "There was an error saving your configuration."
msgstr "ನಿಮ್ಮ ಸಂರಚನೆಯನ್ನು ಉಳಿಸುವಲ್ಲಿ ದೋಷ ಉಂಟಾಗಿದೆ. ನೀವು %s ಅನ್ನು ಹೊಂದಿದ್ದೀರಿ ಎಂದು ಖಚಿತಪಡಿಸಿಕೊಳ್ಳಿ."

This bug is not yet fixed.  Remove the "%s" from the msgstr.

Moving back to ASSIGNED/FailedQA
Comment 6 Bryan Kearney 2013-04-19 13:43:20 EDT
[bkearney@bkearney subscription-manager]$ pofilter --gnome variables -i po/kn.po 
processing 1 files...
[###########################################] 100%
[bkearney@bkearney subscription-manager]$ pofilter --gnome printf -i po/kn.po 
processing 1 files...
[###########################################] 100%
[bkearney@bkearney subscription-manager]$ 



fixed in 1.8.6
Comment 7 Bryan Kearney 2013-04-19 13:59:07 EDT
[###########################################] 100%
[bkearney@bkearney po]$ pofilter --gnome -t variables -i ko.po 
processing 1 files...
[###########################################] 100%
[bkearney@bkearney po]$ pofilter --gnome -t printf -i ko.po 
processing 1 files...
[###########################################] 100%
Comment 8 John Sefler 2013-04-23 13:21:56 EDT
Verifying Version...
[root@jsefler-7 ~]# rpm -q subscription-manager
subscription-manager-1.8.6-1.el7.x86_64

[root@jsefler-7 ~]# msgunfmt --no-wrap /usr/share/locale/kn/LC_MESSAGES/rhsm.mo -o /usr/share/locale/kn/LC_MESSAGES/rhsm.po
[root@jsefler-7 ~]# pofilter -t printf /usr/share/locale/kn/LC_MESSAGES/rhsm.po
processing 1 files...
[###########################################] 100%
[root@jsefler-7 ~]# msgunfmt --no-wrap /usr/share/locale/kn/LC_MESSAGES/rhsm.mo | grep "There was an error saving your configuration." -A1
msgid "There was an error saving your configuration."
msgstr "ನಿಮ್ಮ ಸಂರಚನೆಯನ್ನು ಉಳಿಸುವಲ್ಲಿ ದೋಷ ಉಂಟಾಗಿದೆ."

Moving to VERIFIED
Comment 9 Ludek Smid 2014-06-13 09:04:07 EDT
This request was resolved in Red Hat Enterprise Linux 7.0.

Contact your manager or support representative in case you have further questions about the request.

Note You need to log in before you can comment on or make changes to this bug.